<?php 

    $featured_content_type     = fotoografia_get_option( 'featured_content_type' );
    $featured_title  = fotoografia_get_option( 'featured_title' );
    $number_of_featured_items  = fotoografia_get_option( 'number_of_featured_items' );
    $featured_category = fotoografia_get_option( 'featured_category' );

    for( $i=1; $i<=$number_of_featured_items; $i++ ) :
        $featured_post_posts[] = absint(fotoografia_get_option( 'featured_post_'.$i ) );
    endfor;

?> 
    <?php if( !empty($featured_title)):?>
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html($featured_title);?></h2>
        </div>       
    <?php endif;?>
    <div class="featured-section-wrapper item-wrapper grid">
            <?php if(( $featured_content_type =='featured_post') || ( $featured_content_type == 'featured_category') ) 
            { 
               
                if( $featured_content_type == 'featured_post' ) :
                    $args = array (
                        'post_type'     => 'post',
                        'post_per_page' => count( $featured_post_posts ),
                        'post__in'      => $featured_post_posts,
                        'orderby'       =>'post__in', 
                    ); 
                endif;

                if( $featured_content_type == 'featured_category' ) :
                    $args = array (

                        'posts_per_page' =>absint( $number_of_featured_items ),              
                        'post_type' => 'post',
                        'post_status' => 'publish',
                        'paged' => 1,
                        );
                        if ( absint( $featured_category ) > 0 ) {
                            $args['cat'] = absint( $featured_category );
                        }
                endif;
                $loop = new WP_Query($args);                        
                if ( $loop->have_posts() ) :
                    $i=0;  
                    while ($loop->have_posts()) : $loop->the_post(); $i++;?>  
                        <article class="grid-item <?php echo ($i%5 ==1) ? 'large-width' : 'small-width' ; ?> <?php echo has_post_thumbnail() ? 'has-post-thumbnail' : 'no-post-thumbnail' ; ?> "> 
                            <div class="featured-post-wrapper">
                                
                                <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( ); ?>');">
                                    <div class="overlay"></div>
                                    <a href="<?php the_permalink(); ?>" class="post-thumbnail-link"></a>

                                    <?php $homepage_video_url = get_post_meta( get_the_ID(), 'fotoografia-video-url', true ); ?>
                                    <?php if (!empty($homepage_video_url)): ?>
                                       <a href="<?php the_permalink();?>"> <div class="homepage-video-icon"><i class="fa fa-play"></i></div></a>
                                    <?php endif ?>
                                </div>

                                <div class="entry-container">
                                    <header class="entry-header">
                                        <h2 class="entry-title"><a href="<?php the_permalink(); ?>" tabindex="0"><?php the_title(); ?></a></h2>
                                    </header>
                                        <div class="entry-meta">
                                            <?php 

                                                fotoografia_posted_on();
                                                fotoografia_entry_meta();
                                            ?>

                                        </div><!-- .entry-meta -->
                                </div><!-- .entry-container -->
                            </div><!-- .featured-post-wrapper -->
                        </article><!-- .hentry -->        
                    <?php ($i == 6) ? $i =1 : $i; endwhile;?>
                    
                <?php endif; ?>
                <?php wp_reset_postdata(); ?>
           <?php }?>
    </div><!-- .section-content -->
